aboutsummaryrefslogtreecommitdiffstats
path: root/debian/bitlbee-common.prerm
diff options
context:
space:
mode:
authorWilmer van der Gaast <wilmer@gaast.net>2010-08-18 00:34:25 +0100
committerWilmer van der Gaast <wilmer@gaast.net>2010-08-18 00:34:25 +0100
commit5b94e9ecc30e9f3b96c083e41235e4df2d0d75c9 (patch)
tree670fc8cc4db761308160fe6e9de6d27a7f0f65f9 /debian/bitlbee-common.prerm
parentd20ea9f92f70fa9732baf4520582abfc45124548 (diff)
Move scripts, debconf and /etc stuff to bitlbee-common and really have
*just* the binary in bitlbee{,-libpurple}. This should fix issues with installing the package on a clean machine.
Diffstat (limited to 'debian/bitlbee-common.prerm')
-rw-r--r--debian/bitlbee-common.prerm13
1 files changed, 13 insertions, 0 deletions
diff --git a/debian/bitlbee-common.prerm b/debian/bitlbee-common.prerm
new file mode 100644
index 00000000..50a49bee
--- /dev/null
+++ b/debian/bitlbee-common.prerm
@@ -0,0 +1,13 @@
+#!/bin/sh -e
+
+if [ "$1" = "upgrade" ]; then
+ ## To prevent the help function from breaking in currently running
+ ## BitlBee processes. Have to do it like this because dpkg-reconfigure
+ ## looks a lot like an upgrade and we don't want to lose help.txt...
+ if [ -e /usr/share/bitlbee/help.txt ]; then
+ rm -f /usr/share/bitlbee/help.upgrading
+ mv /usr/share/bitlbee/help.txt /usr/share/bitlbee/help.upgrading
+ fi
+else
+ invoke-rc.d bitlbee stop || exit 0
+fi